org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver

## Class RetryClassLevelClientRetryOn

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.clientserver.RetryClassLevelClientRetryOn

    @RequestScoped
     @Retry(retryOn=java.lang.RuntimeException.class,
           maxRetries=3)
    public class RetryClassLevelClientRetryOn
    extends Object

A client to demonstrate the specification of retryOn conditions at the Class level.

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`RetryClassLevelClientRetryOn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetryCountForConnectionService()`
`int` `getRetryCountForWritingService()`
`Connection` `serviceA()`
`void` `serviceB()` serviceB is configured to retry on an IOException.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClassLevelClientRetryOn

    public RetryClassLevelClientRetryOn()

### Method Detail

#### serviceA

    public Connection serviceA()

#### getRetryCountForConnectionService

    public int getRetryCountForConnectionService()

#### serviceB

    @Retry(retryOn=java.io.IOException.class)
    public void serviceB()

serviceB is configured to retry on an IOException. In practice the only exception that will be thrown by the WritingService is a RuntimeException.

#### getRetryCountForWritingService

    public int getRetryCountForWritingService()